org.apache.struts2.views.java.simple

## Class ActionErrorHandler

- java.lang.Object
- - org.apache.struts2.views.java.simple.AbstractTagHandler
  - - org.apache.struts2.views.java.simple.AbstractMessageListHandler
    - - org.apache.struts2.views.java.simple.ActionErrorHandler

- All Implemented Interfaces:
    TagGenerator, TagHandler

      public class ActionErrorHandler
      extends AbstractMessageListHandler

- - ### Field Summary

    - ### Fields inherited from class org.apache.struts2.views.java.simple.AbstractTagHandler

      `altSyntax, context, nextTagHandler`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActionErrorHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected String` | `getDefaultClass()`
    `protected String` | `getListExpression()`

    - ### Methods inherited from class org.apache.struts2.views.java.simple.AbstractMessageListHandler

      `generate`

    - ### Methods inherited from class org.apache.struts2.views.java.simple.AbstractTagHandler

      `characters, characters, end, findString, findValue, processParams, setNext, setup, start`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.struts2.views.java.TagHandler

      `characters, characters, end, setNext, setup, start`

- - ### Constructor Detail

    - #### ActionErrorHandler

          public ActionErrorHandler()

  - ### Method Detail

    - #### getListExpression

          protected String getListExpression()

      Specified by:
        `getListExpression` in class `AbstractMessageListHandler`

    - #### getDefaultClass

          protected String getDefaultClass()

      Specified by:
        `getDefaultClass` in class `AbstractMessageListHandler`

Copyright © 2000–2023 Apache Software Foundation. All rights reserved.